package com.asda.android.app.direct.view

import android.content.Context
import android.graphics.Bitmap
import android.view.View
import android.view.ViewGroup
import com.asda.android.base.interfaces.IUserReviewUtilsManager
import com.asda.android.restapi.service.data.direct.ReviewsResponse

class UserReviewsUtilsManager : IUserReviewUtilsManager {
    override fun getImageForPrimaryRating(context: Context, value: Float): Bitmap = ReviewViewUtils.getImageForPrimaryRating(context, value)

    override fun getReviewItemView(context: Context, review: ReviewsResponse.Review, reviewView: View?, parent: ViewGroup): View = ReviewViewUtils.getReviewItemView(context, review, reviewView, parent)
}
