package com.asda.android.app.dp

import com.asda.android.base.interfaces.IDeliveryPassManager
import com.asda.android.utils.Utils

object DeliveryPassManager : IDeliveryPassManager {
    override fun getTimeInMillisFromIso(iso8601string: String?): Long {
        return Utils.getTimeInMillisFromIso(iso8601string)
    }
    override fun parseIso8610Timestamp(ts: String?): Long {
        return Utils.parseIso8610Timestamp(ts)
    }

    override fun removeTrailingZeros(value: String?): String? {
        return Utils.removeTrailingZeros(value)
    }
}
