package com.asda.android.app.dp.view

import androidx.fragment.app.Fragment
import com.asda.android.R
import com.asda.android.slots.subscription.view.DPOrderHistoryFragment

class DPListTabbedFragment : DPTabbedBaseFragment() {

    override fun getFragmentTag(): String? {
        return TAG
    }

    override fun getFragmentsForTabbedAdapter(): List<Pair<Fragment, String>> {
        // list of fragment and its title
        val fragments = mutableListOf<Pair<Fragment, String>>()
        fragments.add(Pair(DeliveryPassListFragment(), getString(R.string.active)))
        fragments.add(Pair(DPOrderHistoryFragment.newInstance(), getString(R.string.expired)))
        return fragments.toList()
    }

    companion object {
        const val TAG = "DPListTabbedFragment"
        @JvmStatic
        fun newInstance() = DPListTabbedFragment()
    }
}
