package com.asda.android.app.dp.view

import androidx.fragment.app.Fragment
import androidx.viewpager2.adapter.FragmentStateAdapter

class DPTabbedFragmentsAdapter(owner: Fragment, private val fragmentsList: List<Pair<Fragment, String>>) : FragmentStateAdapter(owner) {

    override fun getItemCount(): Int = fragmentsList.size

    override fun createFragment(position: Int): Fragment {
        return fragmentsList[position].first
    }
}
