package com.asda.android.app.dp.view

import android.view.View
import com.asda.android.base.core.view.ViewUtil.openWebPage
import com.asda.android.restapi.utils.SharedPreferencesUtil

class DeliveryPassCheckoutViewHandler {

    fun onClickConfirm(mFragment: DeliveryPassCheckoutFragment?) {
        mFragment?.doCheckout()
    }

    fun onClickTC(view: View, mFragment: DeliveryPassCheckoutFragment?) {
        mFragment?.let {
            openWebPage(
                SharedPreferencesUtil.getDPTermsAndConditionsUrl(view.context),
                it.context,
                it.getScreenName()
            )
        }
    }

    fun onClickChangeCard(mFragment: DeliveryPassCheckoutFragment?) {
        mFragment?.onChangeCard()
    }
}
