package com.asda.android.app.storelocator

import android.content.Context
import com.asda.android.app.storelocator.constants.StoreLocatorConstants
import com.asda.android.search.datasource.provider.RecentSearchDataProvider

class BasicRecentSearchProvider private constructor(context: Context) : RecentSearchDataProvider(context, StoreLocatorConstants.DATABASE_NAME) {
    companion object {
        private var sInstance: BasicRecentSearchProvider? = null
        @JvmStatic
        fun getInstance(context: Context): BasicRecentSearchProvider? {
            if (sInstance == null) {
                sInstance = BasicRecentSearchProvider(context.applicationContext)
            }
            return sInstance
        }
    }
}
