package com.asda.android.app.storelocator

import com.asda.android.app.storelocator.interfaces.IGetStoresCallback

abstract class StoreService {
    abstract fun getStores(
        longitude: Double,
        latitude: Double,
        radius: Int,
        count: Int,
        callback: IGetStoresCallback<*>?
    )

    companion object {
        var storeService: StoreService? = null
            private set

        @JvmStatic
        fun initStoreService(s: StoreService?) {
            storeService = s
        }
    }
}
