package com.asda.android.service.base

import com.asda.android.authorization.BootstrapManager
import com.asda.android.restapi.service.base.interfaces.InterfaceProfileIdEmitter

class ProfileIdEmitter : InterfaceProfileIdEmitter {
    override fun getProfileId(): String = if (BootstrapManager.getProfileId() != null) BootstrapManager.getProfileId().orEmpty() else Authentication.getInstance().userViewResponse?.profileId.orEmpty()
    override fun getSingleProfileId(): String = if (BootstrapManager.getProfileId() != null) BootstrapManager.getProfileId().orEmpty() else Authentication.getInstance().userViewResponse?.singleProfileId.orEmpty()
}
