package com.asda.android.app.main.helper

import com.asda.android.analytics.events.LinkButtonClickEvent
import com.asda.android.base.core.constants.BottomNavConstants.TAG_ACCOUNT
import com.asda.android.base.core.constants.BottomNavConstants.TAG_FAVORITES
import com.asda.android.base.core.constants.BottomNavConstants.TAG_HOME
import com.asda.android.base.core.constants.BottomNavConstants.TAG_ORDERS
import com.asda.android.base.core.constants.BottomNavConstants.TAG_SEARCH
import com.asda.android.base.core.constants.BottomNavConstants.TAG_SHOP
import com.asda.android.base.core.constants.BottomNavConstants.TAG_SHOP_OLD

class AppEventHelper {
    fun getNavigationClickEvent(id: String?): LinkButtonClickEvent {
        val buttonText = when (id) {
            TAG_HOME -> "nav_icon_home"
            TAG_SHOP_OLD -> "nav_icon_shop"
            TAG_SHOP -> "nav_icon_shop"
            TAG_SEARCH -> "nav_icon_search"
            TAG_FAVORITES -> "nav_icon_favourites"
            TAG_ACCOUNT -> "nav_icon_account"
            TAG_ORDERS -> "nav_icon_orders"
            else -> ""
        }
        return LinkButtonClickEvent(linkButtonText = buttonText, screenName = "app_nav")
    }
}
