package com.asda.android.app.messagecenter.osm.service

import com.asda.android.orders.constants.OrderConstants.EMPTY
import com.asda.android.restapi.service.base.AsdaServiceSettings
import com.asda.android.restapi.service.base.ServiceGenerator

object OSMServiceCreator {

    private var api: OSMMessageService? = null

    fun getCreatedService(): OSMMessageService? {
        return api?.let {
            api
        } ?: run {
            api = ServiceGenerator.createService(
                AsdaServiceSettings.BASE_URL,
                EMPTY,
                OSMMessageService::class.java
            )
            api
        }
    }
}
