package com.asda.android.app.shop.view

import androidx.fragment.app.Fragment
import com.asda.android.app.shop.AlternativeItemsFragment
import com.asda.android.base.core.utils.tryCast
import com.asda.android.base.core.view.fragments.BaseFragment
import com.asda.android.base.interfaces.IPDPAlternativesManager
import com.asda.android.product.ui.R

class PdpAlterNativesManager : IPDPAlternativesManager {
    override fun alterNativesClick(itemId: String, availableReplacements: String, deptId: String, primaryShelf: String, fragment: Fragment) {
        fragment.tryCast<BaseFragment> {
            val obj = AlternativeItemsFragment()
            showDialog(DIALOG_FETCHING_SIMILAR)
            obj.getIroProductDetails(availableReplacements, deptId, primaryShelf, this, this.getString(R.string.product_details))
        }
    }

    companion object {
        private const val DIALOG_FETCHING_SIMILAR = 100
    }
}
