package com.asda.android.service.constants.module

import com.asda.android.abtestingframework.implementation.sitespect.SitespectAbTestingEngine
import dagger.Module
import dagger.Provides
import javax.inject.Singleton

@Module
class SiteSpectModule {
    @Provides
    @Singleton
    fun providesSitespectAbTestEngine(): SitespectAbTestingEngine {
        if (isInitialized().not()) {
            mSitespectAbTestEngine = SitespectAbTestingEngine()
        }
        return mSitespectAbTestEngine
    }

    companion object {
        private lateinit var mSitespectAbTestEngine: SitespectAbTestingEngine
        private fun isInitialized() = ::mSitespectAbTestEngine.isInitialized
    }
}
